FUNCTION TEMPLA(3)

NAME
boost::algorithm::to_upper - Convert to upper case.

SYNOPSIS

// In header: <boost/algorithm/string/case_conv.hpp>
template<typename WritableRangeT>
  void to_upper(WritableRangeT & Input,
                const std::locale & Loc = std::locale());

DESCRIPTION

Each element of the input sequence is converted to upper case. The input sequence is modified in-place.

Parameters:

    Input
        An input range

    Loc
        a locale used for conversion